package hiro.yoshioka.sql.resource;


public class DBConstraintRoot extends DBResource {
	private static final long serialVersionUID = 9999624236456L;
	public DBConstraintRoot(DBRoot root) {
		super(root);
	}

	public boolean contain(String pattern) {
		return false;
	}

	/**
	 * @param fkName
	 * @return
	 */
	public DBExportedKeyIndex getExportedKey(String fkName) {
		return (DBExportedKeyIndex) _children.get(fkName);
	}

	/**
	 * @param index
	 */
	public void putExportedKey(DBExportedKeyIndex index) {
		putResource(index.getResourceKey(), index);
	}
}